#! /bin/sh
#	uninstall.sh
#	Copyright (c) 2003, by Powerware (R) Corporation. All rights reserved.
#	A shell script which uninstalls LanSafe for Unix
:
PATH=$PATH:/bin:/usr/bin:/usr/ucb:.; export PATH

instpath=/usr/Powerware/LanSafe

remove_lines()
{
	file=$1
	mv -f $file ${file}.ls
	sed -e '
/PowerMonitor/d
' ${file}.ls > $file
	rm -f ${file}.ls
}

read_def () {
	prompt=$1
	default=$2

	echo "$prompt"
	read answer
	if [ -z "$answer" ]; then
		answer=$default
	fi
}

main() {
	echo STARTING UNINSTALL OF LANSAFE
	echo 
	echo "Removing all files and directories in "
	echo $instpath
	read_def "Do you want to continue? (y/n) [y]" "y"
	case $answer in
	[nN])
		exit 0
		;;
	esac


	echo Stop PowerMonitor
	if [ -f $instpath/Bin/PowerMonitor.unload ]; then
		$instpath/Bin/PowerMonitor.unload
		echo 'PowerMonitor (LanSafe Power Monitor) stopped'
	fi
	
if [ -d $instpath ]; then
	if [ -f /sbin/init.d/ls.init ]; then
# SuSe?
		echo SuSe, Dec, Other?

		# Begin uninstall of init files for HP-UX
		if [ -f /sbin/rc1.d/K485ls.init ]; then
			cd /sbin/rc1.d/
			rm K485ls.init	
		fi

		if [ -f /sbin/rc2.d/S515ls.init ]; then
			cd /sbin/rc2.d/
			rm S515ls.init	
		fi

		cd /sbin/init.d/
#		echo Stopping PowerMonitor deamon.
#		./ls.init stop
		echo Removed ls.init
		rm ls.init

		if [ -f /sbin/rc1.d/K485lsagent.init ]; then
			cd /sbin/rc1.d/
			rm K485lsagent.init	
		fi

		if [ -f /sbin/rc2.d/S760lsagent.init ]; then
			cd /sbin/rc2.d/
			rm S760lsagent.init	
		fi

		if [ -f /sbin/init.d/lsagent.init ]; then
			cd /sbin/init.d/
#			./lsagent.init stop
			echo Removed lsagent.init
			rm lsagent.init
		fi
		# End of uninstall of init files for HP-UX

		echo Clean up inittab
		if [ -f /sbin/inittab.ls ]; then
		cd /sbin
		fi
		if [ -f /etc/inittab.ls ]; then
		cd /etc
		fi
		inittabfile=inittab
		remove_lines $inittabfile

		echo Clean up services
		servicesfile=services
		remove_lines $servicesfile

		if [ -f /sbin/rc.local.ls ]; then
			echo Copy rc.local.ls to rc.local
			echo Removed rc.local.ls
			cp rc.local.ls rc.local
			rm rc.local.ls
		fi

		if [ -f /sbin/rc3.d/S89ls.init ]; then
			echo Removed S89ls.init
			cd /sbin/rc3.d
			rm S89ls.init
		fi

		if [ -f /sbin/rc0.d/K99ls.init ]; then
                        echo Removed K99ls.init
			cd /sbin/rc0.d
                        rm K99ls.init
                fi

		if [ -f /sbin/rc2.d/S515ls.init ]; then
                        echo Removed S515ls.init
			cd /sbin/rc2.d
                        rm S515ls.init
                fi

		if [ -f /sbin/rc1.d/K485ls.init ]; then
                        echo Removed K485ls.init
			cd /sbin/rc1.d
                        rm K485ls.init
                fi

		if [ -f /sbin/init.d/rc0.d/K89ls.init ]; then
                        echo Removed K89ls.init
			cd /sbin/init.d/rc0.d
                        rm K89ls.init
                fi

		if [ -f /sbin/init.d/rc3.d/S89ls.init ]; then
                        echo Removed S89ls.init
			cd /sbin/init.d/rc3.d
                        rm S89ls.init
                fi
	fi
	
	if [ -f /etc/rc.d/init.d/ls.init ]; then
# Most Linuxes ?
		echo Most Linuxes.
#		echo Stopping ls deamon.
		cd /etc/rc.d/init.d/
#		./ls.init stop
		echo Removed ls.init
		rm ls.init
		if [ -f /etc/rc.d/rc.local.ls ]; then
			echo Copy rc.local.ls to rc.local
			echo Removed rc.local.ls
			cd /etc/rc.d
			cp rc.local.ls rc.local
			rm rc.local.ls
		fi
		if [ -f /etc/rc.d/rc3.d/S89ls.init ]; then	
		echo cd /etc/rc.d/rc3.d/
		cd /etc/rc.d/rc3.d
		echo Removed S89ls.init
		rm S89ls.init
		fi
		if [ -f /etc/rc.d/rc5.d/S89ls.init ]; then
		echo cd /etc/rc.d/rc5.d/
		cd /etc/rc.d/rc5.d/
		echo Removed S89ls.init
		rm S89ls.init
		fi
		if [ -f /etc/rc.d/rc0.d/K89ls.init ]; then  
		echo cd /etc/rc.d/rc0.d/
		cd /etc/rc.d/rc0.d/
		echo Removed K89ls.init
		rm K89ls.init
		fi
		cd /etc/
		echo Clean up inittab
		inittabfile=inittab
		remove_lines $inittabfile

		echo Clean up services
		servicesfile=services
		remove_lines $servicesfile
	fi

	if [ -f /etc/init.d/ls.init ]; then
# TXN-09/09/02: SuSe 7.2 or 8.0 or SUN or DGUX...
		echo SuSe 7.2 or 8.0, SUN or DGUX.
#		echo Stopping ls deamon.
		cd /etc/init.d/
#		./ls.init stop
		echo Removed ls.init
		if [ -f /etc/init.d/lsagent.init ]; then
#			./lsagent.init stop
			rm lsagent.init
		fi
		
		cd /etc
		if [ -f /etc/rc.local.ls ]; then
                        echo Copy rc.local.ls to rc.local
                        echo Removed rc.local.ls
                        cp rc.local.ls rc.local
                        rm rc.local.ls
                fi

		echo Clean up inittab
		inittabfile=inittab
		remove_lines $inittabfile

		echo Clean up services
		servicesfile=services
		remove_lines $servicesfile

# Test for SuSe env...
		if [ -d /etc/init.d/rc5.d ]; then
			echo cd /etc/init.d/rc5.d
			cd /etc/init.d/rc5.d
			echo Removed S89ls.init from rc5.d
			rm S89ls.init
			echo cd /etc/init.d/rc0.d
			cd /etc/init.d/rc0.d
			echo Removed K89ls.init from rc0.d
			rm K89ls.init
		fi
		#Suse 10
		if [ -d /etc/init.d/rc3.d ]; then
			echo cd /etc/init.d/rc3.d
			cd /etc/init.d/rc3.d
			echo Removed S89ls.init from rc3.d
			rm S89ls.init
		fi
# Test for Sun env or DGUX...
		if [ -d /etc/rc2.d ]; then
			echo cd /etc/rc2.d
			cd /etc/rc2.d
			echo Removed S89ls.init from rc2.d
			rm S89ls.init
			echo cd /etc/rc0.d
			cd /etc/rc0.d
			echo Removed K99ls.init from rc0.d
			rm K99ls.init
		fi
		if [ -f /etc/rc3.d/S89ls.init ]; then
			cd /etc/rc3.d
			rm S89ls.init
			echo Removed S89ls.init from rc3.d
		fi
		insserv -r /etc/init.d/ls.init
		rm /etc/init.d/ls.init
	fi
	
	set `uname -a`
	case $1 in
	Darwin)
	#remove the startfiles for darwin
	rm -rf /System/Library/StartupItems/PowerMonitor/
	echo Stop PowerMonitor
		if [ -f $instpath/Bin/PowerMonitor.unload ]; then
			echo 'PowerMonitor (LanSafe Power Monitor) stopped'
		fi
	#remove the entry in hostconfig for the PowerMonitor
	cp /etc/hostconfig /etc/hostconfig.tmp
	sed '/POWERMONITOR/d' /etc/hostconfig.tmp>/etc/hostconfig
		next
	;;
	AIX)
#		echo Stop PowerMonitor
#		if [ -f $instpath/Bin/PowerMonitor.unload ]; then
#			$instpath/Bin/PowerMonitor.unload
#			echo 'PowerMonitor (LanSafe Power Monitor) stopped'
#		fi

		cd /etc/
		echo Clean up inittab
		inittabfile=inittab
		remove_lines $inittabfile

		echo Clean up services
		servicesfile=services
		remove_lines $servicesfile
		
		echo Clean up snmpd.conf
		snmpdfile=snmpd.conf
		cp $snmpdfile ${snmpdfile}.ls.$$
		sed -e '
/^# BEGIN LanSafe for SNMP settings/,/^#END LanSafe for SNMP settings/d
' ${snmpdfile}.ls.$$ > $snmpdfile
		rm -f $snmpdfile.ls.$$

		if [ -f /etc/snmpdv3.conf ]; then
			echo Clean up snmpdv3.conf
			snmpdfile=snmpdv3.conf
			cp $snmpdfile ${snmpdfile}.ls.$$
			sed -e '
/^# BEGIN LanSafe for SNMP settings/,/^#END LanSafe for SNMP settings/d
' ${snmpdfile}.ls.$$ > $snmpdfile
			rm -f $snmpdfile.ls.$$
		fi

		echo Clean up snmpd.peer
		snmpdfile=snmpd.peers
		remove_lines $snmpdfile

		echo Clean up mib.defs
		mib_defs=mib.defs
		cp $mib_defs ${mib_defs}.ls.$$	
		sed -e '
/^-- BEGIN LanSafe MIB Defs/,/^--END LanSafe MIB Defs/d
' ${mib_defs}.ls.$$ > $mib_defs
		rm -f $mid_defs.ls.$$
   		

		;;
	*)
		;;
	esac
fi

# Remove LanSafe Directories
	next

echo Done!
}

next(){
echo Removing LanSafe dir.
rm -r -f $instpath/Config 
rm -r -f $instpath/Export 
rm -r -f $instpath/Flag 
rm -r -f $instpath/Log 
rm -f $instpath/installed 
rm -f $instpath/license.txt 
rm -f $instpath/installed.snmp
rm -r -f $instpath
 
if [ -f /tmp/s.ls ]; then
	cd /tmp
	rm s.ls
	if [ -d /tmp/PowerMonitor ]; then
		rm -r -f PowerMonitor
	fi
fi

# Remove temporary lsagent files
if [ -d /tmp/ls3 ]; then
	cd /tmp
	rm -rf ls3
fi

cd /
echo Done with uninstall of LanSafe.
}

main $1



